Transaction Details
Returns the details of a particular transaction using the transaction ID
Headers
- Type: stringAuthorizationrequired
Used to authorize the request with access_token. It should be supplied as
Bearer ACCESS_TOKEN_GOES_HERE. - Type: stringContent
- Type requiredSet this header to application/json.
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
- Type: stringUser
- Agent requiredUsed to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.
- Type: stringx
-pch -digest requiredThe signature for the API call
Body
application/json
- Type: stringclientrequired
OAuth client ID provided by the business
- Type: stringtransaction
_id requiredReceipt transaction ID. This transaction ID is received in the payload key "t", which comes along with the push notification.
Responses
- application/json
Request Example for get/api2/mobile/checkins/transactions
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/checkins/transactions \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
--header 'x-pch-digest: {{$$.env.signature}}' \
--data '{
"client": "CLIENT_GOES_HERE",
"transaction_id": "TRANSACTION_ID_GOES_HERE"
}'
{
"checkin": {
"created_at": "2016-05-24T07:19:37-04:00",
"current_membership_level": "Tier 1",
"location_id": 304252,
"pending_refresh": false,
"points_earned": 229,
"store_number": "ABC01",
"survey_url": null,
"checkin_id": 11370180,
"first_checkin": false,
"expiring_on": null
},
"redemptions": [
{
"redemption_status": "redeemable",
"created_at": "2016-05-20T16:05:14+05:30",
"redeemable_id": 1041895320,
"redeemable_name": "Dessert",
"redeemed_value": "20",
"redemption_image_url": "IMAGE_URL_GOES_HERE",
"redemption_message": "",
"updated_at": "2016-05-20T16:05:14+05:30",
"redemption_id": 994925280,
"redemption_tracking_code": "1435308",
"expiring_at": "2016-05-20T18:05:14+05:30"
}
]
}